# Uses of Interface
javax.naming.spi.ObjectFactory

Packages that use ObjectFactory
Package
Description
javax.naming.spi
Provides the means for dynamically plugging in support for accessing naming and directory services through the `javax.naming` and related packages.

## Uses of ObjectFactory in javax.naming.spi

Subinterfaces of ObjectFactory in javax.naming.spi
Modifier and Type
Interface
Description
`interface`
`DirObjectFactory`
This interface represents a factory for creating an object given an object and attributes about the object.
Methods in javax.naming.spi that return ObjectFactory
Modifier and Type
Method
Description
`ObjectFactory`
ObjectFactoryBuilder.`createObjectFactory(Object obj, Hashtable<?,?> environment)`
Creates a new object factory using the environment supplied.